Debian Bug report logs - #552511
[python-sip4] Python app "Leo" crashes after dist-upgrade int'ing latest python-sip4

version graph

Package: python-sip4; Maintainer for python-sip4 is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: loretta@vol.at

Date: Tue, 27 Oct 2009 02:27:02 UTC

Severity: normal

Found in version sip4-qt3/4.9-1

Fixed in version sip4-qt3/4.10-2

Done: Torsten Marek <shlomme@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#552511; Package python-sip4. (Tue, 27 Oct 2009 02:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to loretta@vol.at:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 27 Oct 2009 02:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: loretta <loretta@vol.at>
To: submit@bugs.debian.org
Subject: [python-sip4] Python app "Leo" crashes after dist-upgrade int'ing latest python-sip4
Date: Mon, 26 Oct 2009 20:04:39 +0100
Package: python-sip4
Version: 4.9-1
Severity: normal

--- Please enter the report below this line. ---


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.31-5.slh.1-sidux-686

Debian Release: squeeze/sid
  500 unstable        sidux.office-vienna.at 
  500 unstable        ftp.us.debian.org 
  500 lenny-wx        apt.wxwidgets.org 

--- Package information. ---
Depends               (Version) | Installed
===============================-+-=============
python                 (<< 2.6) | 2.5.4-2
python                 (>= 2.4) | 2.5.4-2
python-support      (>= 0.90.0) | 1.0.4
libc6                (>= 2.1.3) | 2.10.1-2
libgcc1            (>= 1:4.1.1) | 1:4.4.2-1
libstdc++6           (>= 4.1.1) | 4.4.2-1


Package's Recommends field is empty.

Package's Suggests field is empty.

--------

Backtrace of where app has crashed:

(gdb) run /usr/local/bin/launchLeo.py
Starting program: /usr/bin/python /usr/local/bin/launchLeo.py
[Thread debugging using libthread_db enabled]
[New Thread 0xb74b7b70 (LWP 5817)]
Leo 4.7 beta 1, build 2404, September 8, 2009
Python 2.5.4, qt version 4.5.3
linux2
reading settings in /usr/lib/python2.5/site-packages/leo/config/
leoSettings.leo
using menus from: leoSettings.leo
reading settings in /media/truecrypt13/.leo/leoSettings.leo
using menus from: leoSettings.leo
reading /media/truecrypt13/.leo/.leoRecentFiles.txt
loadOnePlugin no init() leo_to_rtf
Can not import win32com.client
opening default_leo_file: /home/fgeiger/.leo/workbook.leo
@enabled-plugins found in leoSettings.leo
loadOnePlugin can not load enabled plugin: nav_buttons
loadOnePlugin can not load enabled plugin: open_with
loadOnePlugin can not load enabled plugin: word_count
loadOnePlugin can not load enabled plugin: word_export
No word lists can be found for the language "en_US".
aspell checker not enabled

Program received signal SIGSEGV, Segmentation fault.
PyDict_GetItem (op=0x4, key=0x981d700) at ../Objects/dictobject.c:575
575     ../Objects/dictobject.c: No such file or directory.
        in ../Objects/dictobject.c
(gdb) bt
#0  PyDict_GetItem (op=0x4, key=0x8bf4700) at ../Objects/dictobject.c:
575
#1  0xb6af7954 in ?? () from /usr/lib/pymodules/python2.5/sip.so
#2  0xb5eb1db9 in ?? () from /usr/lib/pymodules/python2.5/PyQt4/
QtGui.so
#3  0xb5332a94 in QApplicationPrivate::notify_helper (this=0x8a14ba0,
receiver=0x96575e0, e=0xbfffd818) at kernel/qapplication.cpp:4065
#4  0xb533acc2 in QApplication::notify (this=0x8754610,
receiver=0x96575e0, e=0xbfffd818) at kernel/qapplication.cpp:4030
#5  0xb600f755 in ?? () from /usr/lib/pymodules/python2.5/PyQt4/
QtGui.so
#6  0xb646c1eb in QCoreApplication::notifyInternal (this=0x8754610,
receiver=0x96575e0, event=0xbfffd818)
    at kernel/qcoreapplication.cpp:610
#7  0xb6483e0e in QCoreApplication::sendEvent(QObject*, QEvent*) ()
from /usr/lib/libQtCore.so.4
#8  0xb647b87a in QObjectPrivate::setParent_helper (this=0x9659228,
o=0x96575e0) at kernel/qobject.cpp:1889
#9  0xb647b957 in QObject::setParent (this=0x9658498,
parent=0x96575e0) at kernel/qobject.cpp:1833
#10 0xb647bb9f in QObject (this=0x9658498, dd=..., parent=0x96575e0)
at kernel/qobject.cpp:710
#11 0xb532d496 in QAction (this=0x9658498, text=..., parent=0x96575e0)
at kernel/qaction.cpp:292
#12 0xb5771b8e in QMenu::addAction (this=0x96575e0, text=...) at
widgets/qmenu.cpp:1393
#13 0xb5e5845c in ?? () from /usr/lib/pymodules/python2.5/PyQt4/
QtGui.so
#14 0x080cd10a in call_function (f=0x9659084, throwflag=0) at ../
Python/ceval.c:3612
#15 PyEval_EvalFrameEx (f=0x9659084, throwflag=0) at ../Python/ceval.c:
2304
#16 0x080ce41d in PyEval_EvalCodeEx (co=0x8aa1e78, globals=0x8a9a824,
locals=0x0, args=0x8bf4558, argcount=1, kws=0x9658cf0, kwcount=4,
    defs=0x0, defcount=0, closure=0x0) at ../Python/ceval.c:2875
#17 0x0811419e in function_call (func=0x88d6e2c, arg=0x8bf454c,
kw=0x896579c) at ../Objects/funcobject.c:517
#18 0x0805d2a7 in PyObject_Call (func=0x0, arg=0x8bf454c,
kw=0x896579c) at ../Objects/abstract.c:1861
#19 0x080cba01 in ext_do_call (f=0x9658f14, throwflag=0) at ../Python/
ceval.c:3892
#20 PyEval_EvalFrameEx (f=0x9658f14, throwflag=0) at ../Python/ceval.c:
2344
#21 0x080ce41d in PyEval_EvalCodeEx (co=0x85b56e0, globals=0xb7ab7f0c,
locals=0x0, args=0x9658b18, argcount=2, kws=0x9658b20,
    kwcount=4, defs=0x0, defcount=0, closure=0x0) at ../Python/ceval.c:
2875
#22 0x080ccdc4 in fast_function (f=0x965896c, throwflag=0) at ../
Python/ceval.c:3708
#23 call_function (f=0x965896c, throwflag=0) at ../Python/ceval.c:3633
#24 PyEval_EvalFrameEx (f=0x965896c, throwflag=0) at ../Python/ceval.c:
2304
#25 0x080ce41d in PyEval_EvalCodeEx (co=0x85f72f0, globals=0x83872d4,
locals=0x0, args=0x96588a4, argcount=3, kws=0x96588b0, kwcount=0,
    defs=0x85be4b8, defcount=1, closure=0x0) at ../Python/ceval.c:2875
#26 0x080ccdc4 in fast_function (f=0x965873c, throwflag=0) at ../
Python/ceval.c:3708
#27 call_function (f=0x965873c, throwflag=0) at ../Python/ceval.c:3633
#28 PyEval_EvalFrameEx (f=0x965873c, throwflag=0) at ../Python/ceval.c:
2304
#29 0x080ce41d in PyEval_EvalCodeEx (co=0x85f43c8, globals=0x83872d4,
locals=0x0, args=0x9656e68, argcount=3, kws=0x9656e74, kwcount=1,
    defs=0x85be258, defcount=1, closure=0x0) at ../Python/ceval.c:2875
#30 0x080ccdc4 in fast_function (f=0x9656d0c, throwflag=0) at ../
Python/ceval.c:3708
#31 call_function (f=0x9656d0c, throwflag=0) at ../Python/ceval.c:3633
#32 PyEval_EvalFrameEx (f=0x9656d0c, throwflag=0) at ../Python/ceval.c:
2304
#33 0x080cdc25 in fast_function (f=0x96568e4, throwflag=0) at ../
Python/ceval.c:3698
---Type <return> to continue, or q <return> to quit---

#34 call_function (f=0x96568e4, throwflag=0) at ../Python/ceval.c:3633
#35 PyEval_EvalFrameEx (f=0x96568e4, throwflag=0) at ../Python/ceval.c:
2304
#36 0x080cdc25 in fast_function (f=0x965678c, throwflag=0) at ../
Python/ceval.c:3698
#37 call_function (f=0x965678c, throwflag=0) at ../Python/ceval.c:3633
#38 PyEval_EvalFrameEx (f=0x965678c, throwflag=0) at ../Python/ceval.c:
2304
#39 0x080cdc25 in fast_function (f=0x9656614, throwflag=0) at ../
Python/ceval.c:3698
#40 call_function (f=0x9656614, throwflag=0) at ../Python/ceval.c:3633
#41 PyEval_EvalFrameEx (f=0x9656614, throwflag=0) at ../Python/ceval.c:
2304
#42 0x080ce41d in PyEval_EvalCodeEx (co=0xb67172f0,
globals=0xb7ab9b54, locals=0x0, args=0x90084f0, argcount=2,
kws=0x90084f8,
    kwcount=0, defs=0xb7abac18, defcount=1, closure=0x0) at ../Python/
ceval.c:2875
#43 0x080ccdc4 in fast_function (f=0x9008384, throwflag=0) at ../
Python/ceval.c:3708
#44 call_function (f=0x9008384, throwflag=0) at ../Python/ceval.c:3633
#45 PyEval_EvalFrameEx (f=0x9008384, throwflag=0) at ../Python/ceval.c:
2304
#46 0x080ce41d in PyEval_EvalCodeEx (co=0xb67172a8,
globals=0xb7ab9b54, locals=0x0, args=0x9008354, argcount=2,
kws=0x900835c,
    kwcount=0, defs=0xb673f880, defcount=3, closure=0x0) at ../Python/
ceval.c:2875
#47 0x080ccdc4 in fast_function (f=0x90081fc, throwflag=0) at ../
Python/ceval.c:3708
#48 call_function (f=0x90081fc, throwflag=0) at ../Python/ceval.c:3633
#49 PyEval_EvalFrameEx (f=0x90081fc, throwflag=0) at ../Python/ceval.c:
2304
#50 0x080cdc25 in fast_function (f=0x8fe5f54, throwflag=0) at ../
Python/ceval.c:3698
#51 call_function (f=0x8fe5f54, throwflag=0) at ../Python/ceval.c:3633
#52 PyEval_EvalFrameEx (f=0x8fe5f54, throwflag=0) at ../Python/ceval.c:
2304
#53 0x080cdc25 in fast_function (f=0x81af09c, throwflag=0) at ../
Python/ceval.c:3698
#54 call_function (f=0x81af09c, throwflag=0) at ../Python/ceval.c:3633
#55 PyEval_EvalFrameEx (f=0x81af09c, throwflag=0) at ../Python/ceval.c:
2304
#56 0x080ce41d in PyEval_EvalCodeEx (co=0xb7dbea40,
globals=0xb7dca24c, locals=0x0, args=0x8177ed8, argcount=0,
kws=0x8177ed8,
    kwcount=0, defs=0x85ed138, defcount=2, closure=0x0) at ../Python/
ceval.c:2875
#57 0x080ccdc4 in fast_function (f=0x8177d9c, throwflag=0) at ../
Python/ceval.c:3708
#58 call_function (f=0x8177d9c, throwflag=0) at ../Python/ceval.c:3633
#59 PyEval_EvalFrameEx (f=0x8177d9c, throwflag=0) at ../Python/ceval.c:
2304
#60 0x080ce41d in PyEval_EvalCodeEx (co=0xb7db7380,
globals=0xb7e0bacc, locals=0xb7e0bacc, args=0x0, argcount=0, kws=0x0,
kwcount=0,
    defs=0x0, defcount=0, closure=0x0) at ../Python/ceval.c:2875
#61 0x080ce627 in PyEval_EvalCode (co=0xb7db7380, globals=0xb7e0bacc,
locals=0xb7e0bacc) at ../Python/ceval.c:514
#62 0x080eb33f in run_mod (fp=0x816b008, filename=0xbffff9bd "/usr/
local/bin/launchLeo.py", start=257, globals=0xb7e0bacc,
    locals=0xb7e0bacc, closeit=1, flags=0xbffff718) at ../Python/
pythonrun.c:1273
#63 PyRun_FileExFlags (fp=0x816b008, filename=0xbffff9bd "/usr/local/
bin/launchLeo.py", start=257, globals=0xb7e0bacc,
    locals=0xb7e0bacc, closeit=1, flags=0xbffff718) at ../Python/
pythonrun.c:1259
#64 0x080eb5fa in PyRun_SimpleFileExFlags (fp=0x816b008,
filename=0xbffff9bd "/usr/local/bin/launchLeo.py", closeit=1,
flags=0xbffff718)
    at ../Python/pythonrun.c:879
#65 0x08059350 in Py_Main (argc=1, argv=0xbffff804) at ../Modules/
main.c:532
---Type <return> to continue, or q <return> to quit---

#66 0x08058742 in main (argc=Cannot access memory at address 0x0
) at ../Modules/python.c:23
(gdb) 







Reply sent to Torsten Marek <shlomme@debian.org>:
You have taken responsibility. (Tue, 02 Feb 2010 23:12:04 GMT) Full text and rfc822 format available.

Notification sent to loretta@vol.at:
Bug acknowledged by developer. (Tue, 02 Feb 2010 23:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 552511-close@bugs.debian.org (full text, mbox):

From: Torsten Marek <shlomme@debian.org>
To: 552511-close@bugs.debian.org
Subject: Bug#552511: fixed in sip4-qt3 4.10-2
Date: Tue, 02 Feb 2010 23:09:02 +0000
Source: sip4-qt3
Source-Version: 4.10-2

We believe that the bug you reported is fixed in the latest version of
sip4-qt3, which is due to be installed in the Debian FTP archive:

python-sip-dbg_4.10-2_amd64.deb
  to main/s/sip4-qt3/python-sip-dbg_4.10-2_amd64.deb
python-sip-dev_4.10-2_amd64.deb
  to main/s/sip4-qt3/python-sip-dev_4.10-2_amd64.deb
python-sip4-dbg_4.10-2_all.deb
  to main/s/sip4-qt3/python-sip4-dbg_4.10-2_all.deb
python-sip4-dev_4.10-2_all.deb
  to main/s/sip4-qt3/python-sip4-dev_4.10-2_all.deb
python-sip4_4.10-2_all.deb
  to main/s/sip4-qt3/python-sip4_4.10-2_all.deb
python-sip_4.10-2_amd64.deb
  to main/s/sip4-qt3/python-sip_4.10-2_amd64.deb
sip4-qt3_4.10-2.debian.tar.gz
  to main/s/sip4-qt3/sip4-qt3_4.10-2.debian.tar.gz
sip4-qt3_4.10-2.dsc
  to main/s/sip4-qt3/sip4-qt3_4.10-2.dsc
sip4_4.10-2_all.deb
  to main/s/sip4-qt3/sip4_4.10-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552511@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Marek <shlomme@debian.org> (supplier of updated sip4-qt3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Feb 2010 21:27:14 +0100
Source: sip4-qt3
Binary: python-sip python-sip-dbg python-sip-dev python-sip4 sip4 python-sip4-dev python-sip4-dbg
Architecture: source all amd64
Version: 4.10-2
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Torsten Marek <shlomme@debian.org>
Description: 
 python-sip - Python/C++ bindings generator runtime library
 python-sip-dbg - Python/C++ bindings generator runtime library (debug extension)
 python-sip-dev - Python/C++ bindings generator development files
 python-sip4 - Python/C++ bindings generator runtime library (transitional packa
 python-sip4-dbg - Python/C++ bindings generator runtime library (debug, transitiona
 python-sip4-dev - Python/C++ bindings generator development files (transitional pac
 sip4       - Python/C++ bindings generator (transitional package)
Closes: 552511 560418
Changes: 
 sip4-qt3 (4.10-2) unstable; urgency=low
 .
   * Upload to unstable (Closes: #552511)
   * siputils.py does not check errno any more (Closes: #560418)
   * debian/control
     - Updated standards version to 3.8.4, no changes necessary
     - Make python-sip4 break those packages that do not depend on
       python2.x-sip4 or a specific version of python-sip4
   * debian/manpages/dh_sip.1
     - Create man page for dh_sip
   * debian/manpages/sip.1
     - Update man page for sip
   * debian/README.source
     - Removed, not needed for source format "3.0 (quilt)"
Checksums-Sha1: 
 1592abe3f9f61a86f37bddc975cb393140ab7ac3 1527 sip4-qt3_4.10-2.dsc
 cc37a311de32c804896c35f497ffd3ab54786b5e 13544 sip4-qt3_4.10-2.debian.tar.gz
 dcf71ef489eba2793deb21fb3d544834948de55d 58152 python-sip4_4.10-2_all.deb
 e58ca5c846c226fa0ed9e8cd584f988557c27540 58052 sip4_4.10-2_all.deb
 05e37b7403ed16e04b62801f4c6c4b6329b9b156 58084 python-sip4-dev_4.10-2_all.deb
 c2fe94af99b3f39931d57288cf40bba06584fad0 58086 python-sip4-dbg_4.10-2_all.deb
 8f27498dedeac57a8c180faf649866cd651f2e0f 191914 python-sip_4.10-2_amd64.deb
 1b77a8b0714daebac0ad51f3be2d4b49ddc4ba7e 440998 python-sip-dbg_4.10-2_amd64.deb
 283f221a6e68ba0e17993341273be5dc73ee9d42 409310 python-sip-dev_4.10-2_amd64.deb
Checksums-Sha256: 
 8ed8c6673d08ac76d67222457bb7e9103f40b41090513107fcf2ec937e144b7e 1527 sip4-qt3_4.10-2.dsc
 654cc0d207729e15311a8b2bc38a4ff1d02366a8ed7d3e7b086e9def4a627e9e 13544 sip4-qt3_4.10-2.debian.tar.gz
 df6021f6c758a4866484b664d83d66688c77679a1870562deae5de7e9feca1af 58152 python-sip4_4.10-2_all.deb
 64bae5a954cea24f83a072c23f4f4bb9402a9677a40964f0a5a80d9bfab37af7 58052 sip4_4.10-2_all.deb
 d0c50e11b54baf42607ba4dd7e794fbbb0dd29b7771800b30c5db674dbdffbcf 58084 python-sip4-dev_4.10-2_all.deb
 b7c6c42d26fbeec65dc4896a87f550abb46a4f41aee8381cf370e5e7cb452db6 58086 python-sip4-dbg_4.10-2_all.deb
 80233024ea7616be8392168a982a07fb9c0d35a0131dcb5acd9a4befab5d7fac 191914 python-sip_4.10-2_amd64.deb
 482cf31e7eddb2f1c762098410f7f3363a8f4ce508f2e13338be69ba17569eac 440998 python-sip-dbg_4.10-2_amd64.deb
 4440f9736191d7fd9145fa4e0198c19974956a5d8813597706a906580bd0786a 409310 python-sip-dev_4.10-2_amd64.deb
Files: 
 c4c64e17be97add66b685e5a1dd05950 1527 devel optional sip4-qt3_4.10-2.dsc
 e8010c02d87923f459f63074efa36867 13544 devel optional sip4-qt3_4.10-2.debian.tar.gz
 f4a5d3051c697c276b2b69ed160c44b4 58152 python optional python-sip4_4.10-2_all.deb
 c1a3d2d4c9d2965ae4d06ea09707695c 58052 python optional sip4_4.10-2_all.deb
 8215750784f353a43f36a2c72eea6220 58084 python optional python-sip4-dev_4.10-2_all.deb
 299664fedfb8e27aff5f7cdb09d41b6a 58086 debug extra python-sip4-dbg_4.10-2_all.deb
 f25815f0818d0dc05ed56922610cbf3f 191914 python optional python-sip_4.10-2_amd64.deb
 9a2b2ea2a454d2cce739940ba66bffe5 440998 debug extra python-sip-dbg_4.10-2_amd64.deb
 b4f189d9e4dafa865418518b0b1de2d5 409310 python optional python-sip-dev_4.10-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktop9sACgkQfMVFHqJEyFidfgCfbQcww3j+1U8ZTIs3Lb4yssfZ
wiEAnj0o2ZQYfqpeuyt538LmXtYB+03i
=FGUE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Jun 2010 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:18:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.